summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/ssl_test
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2012-04-16 19:20:30 +0000
committerAlan Conway <aconway@apache.org>2012-04-16 19:20:30 +0000
commitc121e4803971122f703730eb65c8d7bfdeec916f (patch)
tree533b5ba34eadb63eca73ecb5aeaafbdcb5f6ea1c /qpid/cpp/src/tests/ssl_test
parent0dde682105118b364773e2bee18021734edcf573 (diff)
downloadqpid-python-c121e4803971122f703730eb65c8d7bfdeec916f.tar.gz
NO-JIRA: Control running of cluster tests.
Previously cluster tests would run if cluster services were running, even if build was explicitly configured without CPG. Don't run cluster tests unless the build is configured with CPG. If the build is configured *with* CPG, you can still skip the CPG tests by setting QPID_USE_CPG=no in the environment. git-svn-id: https://svn.apache.org/repos/asf/qpid/trunk@1326756 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/ssl_test')
-rwxr-xr-xqpid/cpp/src/tests/ssl_test3
1 files changed, 2 insertions, 1 deletions
diff --git a/qpid/cpp/src/tests/ssl_test b/qpid/cpp/src/tests/ssl_test
index ac978d3bd0..91ff8eec1e 100755
--- a/qpid/cpp/src/tests/ssl_test
+++ b/qpid/cpp/src/tests/ssl_test
@@ -192,7 +192,8 @@ stop_brokers
test -z $CLUSTER_LIB && exit 0 # Exit if cluster not supported.
## Test failover in a cluster using SSL only
-. $srcdir/ais_check # Will exit if clustering not enabled.
+source cpg_check.sh
+cpg_enabled || exit 0
PORT1=`pick_port`; ssl_cluster_broker $PORT1
echo "Running SSL cluster broker on port $PORT1"